# Interface Injectable

All Known Implementing Classes:
  `ContextEjb, ContextEnvironment, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService, MessageDestination, MessageDestinationRef, ResourceBase`

public interface Injectable
Interface for objects that can be injected with dependencies.

## Method Summary

Modifier and Type
Method
Description
`void`
`addInjectionTarget(String injectionTargetName, String jndiName)`
Adds an injection target to this injectable.
`List<InjectionTarget>`
`getInjectionTargets()`
Returns the list of injection targets.
`String`
`getName()`
Returns the name of this injectable.

## Method Details

### getName

String getName()
Returns the name of this injectable.

Returns:
  the name

### addInjectionTarget

void addInjectionTarget(String injectionTargetName, String jndiName)
Adds an injection target to this injectable.

Parameters:
  `injectionTargetName` - the name of the injection target
  `jndiName` - the JNDI name for the injection

### getInjectionTargets

List<InjectionTarget> getInjectionTargets()
Returns the list of injection targets.

Returns:
  the list of injection targets